This field has to be preset by the HL-driver. The given function will be called to perform write-requests on /dev/isdnctrl (i.e. sending commands to the card) The data-format is hardware-specific. This function is intended for debugging only. It is not necessary for normal operation and never will be called by the tty-emulation- or network-code. If this function is not supported, the driver has to set NULL here.

Parameter:

u_char* | pointer to data.
int | length of data.
int | flag: 0 = call from within kernel-space. (HL-driver must use memcpy, may NOT use schedule()) 1 = call from user-space. (HL-driver must use memcpy_fromfs, use of schedule() allowed)
int | driver-Id.
int | channel-number locally to the HL-driver. (starts with 0)

***CHANGED1.14: The driver-Id and channel-number are new since this revision.

Returnvalue:

Length of data accepted on success, else error-code (-EINVAL etc.)